Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.session
Class SerializeAndEncodeSessionHandler

    java.lang.Object
      org.mule.session.SerializeOnlySessionHandler
          org.mule.session.SerializeAndEncodeSessionHandler

All Implemented Interfaces:
  SessionHandler

Direct Known Subclasses:
  MuleSessionHandler

    public class SerializeAndEncodeSessionHandler

extends SerializeOnlySessionHandler

A session handler used to store and retrieve session information on an event. The DefaultMuleSession information is stored as a header on the message (does not support Tcp, Udp, etc. unless the MuleMessage object is serialised across the wire). The session is stored in the "MULE_SESSION" property as Base64 encoded byte array.

Field Summary

Fields inherited from class org.mule.session.SerializeOnlySessionHandler
`logger`

Constructor Summary
`SerializeAndEncodeSessionHandler()`

Method Summary
`MuleSession` | `retrieveSessionInfoFromMessage(MuleMessage message)`
`void` | `storeSessionInfoToMessage(MuleSession session, MuleMessage message)`

Methods inherited from class org.mule.session.SerializeOnlySessionHandler
`getSessionIDKey, removeNonSerializableProperties, retrieveSessionInfoFromMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerializeAndEncodeSessionHandler

    public SerializeAndEncodeSessionHandler()

Method Detail

### retrieveSessionInfoFromMessage

    public MuleSession retrieveSessionInfoFromMessage(MuleMessage message)
                                               throws MuleException

  Specified by:
    `retrieveSessionInfoFromMessage` in interface `SessionHandler`
  Overrides:
    `retrieveSessionInfoFromMessage` in class `SerializeOnlySessionHandler`
  Throws:
    `MuleException`

### storeSessionInfoToMessage

    public void storeSessionInfoToMessage(MuleSession session,
                                          MuleMessage message)
                                   throws MuleException

  Specified by:
    `storeSessionInfoToMessage` in interface `SessionHandler`
  Overrides:
    `storeSessionInfoToMessage` in class `SerializeOnlySessionHandler`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.